File: changelog

package info (click to toggle)
libtypes-datetime-perl 0.002-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 180 kB
  • ctags: 7
  • sloc: perl: 109; makefile: 13; sh: 4
file content (85 lines) | stat: -rw-r--r-- 3,084 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
libtypes-datetime-perl (0.002-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix compatibility with newer DateTime::Locale.

  [ Jonas Smedegaard ]
  * Fix bugnumber in 0.001-4 changelog entry.
    Thanks to Gregor Herrmann.
  * Drop patch 1001: Fixed upstream.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Use https protocol in format string.
    + Extend copyright of packaging to cover recent years.
  * Modernize git-buildpackage config:
    + Filter any .git* file.
  * Modernize cdbs:
    + Stop explicitly suppress versioned build-dependency on debhelper.
    + Do copyright-check in maintainer script (not during build).
    + Stop build-depend on devscripts.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Declare compliance with Debian Policy 4.0.0.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use git (not cgit) in path.
  * Update watch file:
    + Bump to file format 4.
    + Watch only MetaCPAN URL.
    + Mention gbp --uscan in usage comment.
    + Tighten version regex.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Jun 2017 15:44:55 +0200

libtypes-datetime-perl (0.001-4) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to use cgit web frontend.

  [ Jonas Smedegaard ]
  * Add patch 1001 to fix tests to pass with both new and old
    DateTime::Locale versions.
    Closes: Bug#805387. Thanks to Niko Tyni and Dave Rolsky.
  * Declare compliance with Debian Policy 3.9.6.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend copyright of packaging to cover current year.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Modernize git-buildpackage config: Avoid git- prefix.
  * Git-ignore quilt dir.
  * Update package relations:
    + Tighten to (build-)depend versioned on libdatetime-locale-perl:
      Needed for patch 1001.
    + Relax to (build-)depend unversioned on libtype-tiny-perl: Needed
      version satisfied in stable (and unavailable in oldstable).
    + Relax to build-depend unversioned on libmoose-perl: Needed version
      satisfied even in oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Nov 2015 21:30:12 +0100

libtypes-datetime-perl (0.001-3) unstable; urgency=medium

  * Update copyright info:
    + Fix cover CONTRIBUTING file.
      Thanks to Thorsten Alteholz.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 May 2014 19:44:34 +0200

libtypes-datetime-perl (0.001-2) unstable; urgency=medium

  * Build-depend on libdatetime-format-iso8601-perl and recent
    libmoose-perl: Optionally needed for testsuite.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 May 2014 10:59:16 +0200

libtypes-datetime-perl (0.001-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#747706.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 May 2014 10:19:20 +0200